For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
Webhooks

New Call

POST
https://{yourserver}/webhooks/call
POST
/webhooks/call
$curl -X POST https://{yourserver}/webhooks/call \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "call_sid": "d2515c3b-b79a-41a2-971a-445e769c823c",
> "call_id": "d2515c3b-b79a-41a2-971a-445e769c823c",
> "application_sid": "72c5c38f-9bba-40ce-aa83-aaa6be55e1b5",
> "account_sid": "bad98250-b34d-459d-9e90-f97dfb9bc519",
> "direction": "inbound",
> "from": "+12125551212",
> "to": "+14155551234",
> "caller_name": "John Doe",
> "sip_status": 100,
> "sip_reason": "Trying",
> "call_status": "trying"
>}'
200Successful
1{}
This webhook is sent when a new call is created on the platform, it is configured at the appplication level
Was this page helpful?
Previous

Client Authentication

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

Information about a new call
call_sidstringRequired
a unique identifier for the call.
call_idstringRequired
the call id in our server.
application_sidstringRequired
a unique identifier for the jambonz application controlling this call
account_sidstringRequired
a unique identifier for the jambonz account associated with the application
directionenumRequired

the direction of the call:

  • inbound - The call was originated outside jambonz
  • outbound - The call was originated by jambonz
Allowed values:
fromstringRequired
the calling party number
tostringRequired
the called party number
caller_namestringRequired
the caller name, if known
sip_statusdoubleRequired
the most recent sip status code received or generated for the call
sip_reasonstringRequired
descripton of the last SIP status
call_statusenumRequired

current status of the call:

  • trying - a new incoming call has arrived or an outbound call has just been sent
  • ringing - a 180 Ringing response has been sent or received
  • early-media - an early media connection has been established prior to answering the call (183 Session Progress)
  • in-progress - call has been answered
  • completed - an answered call has ended
  • failed - a call attempt failed
  • busy - a call attempt failed because the called party returned a busy status
  • no-answer - a call attempt failed because it was not answered in time
sbc_callidstringOptional
the orignal call ID of the call when it arrived at jambonz
originating_sip_ipstringOptional
The IP address that send the call to jambonz
originating_sip_trunk_namestringOptional
The name of the carrier in Jambonz that recieved the call
local_sip_addressstringOptional
Internal Address of the Feature Server handling the call
service_provider_sidstringOptional
The ID of the service provider the account handling the call belongs to
sipobjectOptional
The SIP request for the call
env_varsobjectOptional
Application Environment Variables configured for the applicaiton

Response

Return a 200 containing a JSON payload consisting of an array of verbs